Delulu documentation
Automations
7 endpoints in the Automations API group.
Generated from the typed server contract. Download the complete OpenAPI 3.1 specification.
automations.list
GET
/v1/workspaces/{workspaceId}/automations/{platform}/{category}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
limit | query | no | value |
offset | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"platform": {
"type": "string"
},
"category": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"type": "boolean"
},
"triggers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"trigger"
]
},
"triggerType": {
"type": "string",
"enum": [
"comment",
"mention",
"story_reply"
]
},
"targetPostIds": {
"type": "array",
"items": {
"type": "string"
}
},
"pendingPostIds": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"allOf": [
{
"pattern": "^post_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
}
},
{
"type": "null"
}
]
},
"keywordFilter": {
"anyOf": [
{
"type": "object",
"properties": {
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"operator"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"triggerType",
"targetPostIds"
],
"additionalProperties": false
}
},
"steps": {
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"condition"
]
},
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"yesStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"noStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"operator"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"send_dm"
]
},
"messageTemplate": {
"type": "string"
},
"buttons": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"quick_reply"
]
},
"title": {
"type": "string"
},
"payload": {
"type": "string"
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"payload"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"url"
]
},
"title": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"type",
"title",
"url"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"messageTemplate"
],
"additionalProperties": false
}
]
}
},
"notes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"position": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"required": [
"id",
"content",
"position"
],
"additionalProperties": false
}
},
"nodePositions": {
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"totalTriggered": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalDmsSent": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalFailed": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"connectionId",
"platform",
"category",
"name",
"description",
"enabled",
"triggers",
"steps",
"notes",
"nodePositions",
"totalTriggered",
"totalDmsSent",
"totalFailed",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"total": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"offset": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"data",
"total",
"limit",
"offset"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}automations.create
POST
/v1/workspaces/{workspaceId}/automations/{platform}/{category}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"connectionId": {
"type": "string",
"allOf": [
{
"pattern": "^connection_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
},
"name": {
"type": "string"
},
"description": {
"anyOf": [
{
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
{
"type": "null"
}
]
},
"enabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"triggers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"trigger"
]
},
"triggerType": {
"type": "string",
"enum": [
"comment",
"mention",
"story_reply"
]
},
"targetPostIds": {
"type": "array",
"items": {
"type": "string"
}
},
"pendingPostIds": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"allOf": [
{
"pattern": "^post_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
}
},
{
"type": "null"
}
]
},
"keywordFilter": {
"anyOf": [
{
"type": "object",
"properties": {
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"operator"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"triggerType",
"targetPostIds"
],
"additionalProperties": false
}
},
"steps": {
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"condition"
]
},
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"yesStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"noStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"operator"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"send_dm"
]
},
"messageTemplate": {
"type": "string"
},
"buttons": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"quick_reply"
]
},
"title": {
"type": "string"
},
"payload": {
"type": "string"
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"payload"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"url"
]
},
"title": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"type",
"title",
"url"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"messageTemplate"
],
"additionalProperties": false
}
]
}
},
"notes": {
"anyOf": [
{
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"position": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"required": [
"id",
"content",
"position"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
},
"nodePositions": {
"anyOf": [
{
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
}
},
"required": [
"connectionId",
"name",
"triggers",
"steps"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"platform": {
"type": "string"
},
"category": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"type": "boolean"
},
"triggers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"trigger"
]
},
"triggerType": {
"type": "string",
"enum": [
"comment",
"mention",
"story_reply"
]
},
"targetPostIds": {
"type": "array",
"items": {
"type": "string"
}
},
"pendingPostIds": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"allOf": [
{
"pattern": "^post_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
}
},
{
"type": "null"
}
]
},
"keywordFilter": {
"anyOf": [
{
"type": "object",
"properties": {
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"operator"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"triggerType",
"targetPostIds"
],
"additionalProperties": false
}
},
"steps": {
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"condition"
]
},
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"yesStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"noStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"operator"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"send_dm"
]
},
"messageTemplate": {
"type": "string"
},
"buttons": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"quick_reply"
]
},
"title": {
"type": "string"
},
"payload": {
"type": "string"
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"payload"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"url"
]
},
"title": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"type",
"title",
"url"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"messageTemplate"
],
"additionalProperties": false
}
]
}
},
"notes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"position": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"required": [
"id",
"content",
"position"
],
"additionalProperties": false
}
},
"nodePositions": {
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"totalTriggered": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalDmsSent": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalFailed": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"connectionId",
"platform",
"category",
"name",
"description",
"enabled",
"triggers",
"steps",
"notes",
"nodePositions",
"totalTriggered",
"totalDmsSent",
"totalFailed",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}automations.get
GET
/v1/workspaces/{workspaceId}/automations/{platform}/{category}/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"platform": {
"type": "string"
},
"category": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"type": "boolean"
},
"triggers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"trigger"
]
},
"triggerType": {
"type": "string",
"enum": [
"comment",
"mention",
"story_reply"
]
},
"targetPostIds": {
"type": "array",
"items": {
"type": "string"
}
},
"pendingPostIds": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"allOf": [
{
"pattern": "^post_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
}
},
{
"type": "null"
}
]
},
"keywordFilter": {
"anyOf": [
{
"type": "object",
"properties": {
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"operator"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"triggerType",
"targetPostIds"
],
"additionalProperties": false
}
},
"steps": {
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"condition"
]
},
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"yesStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"noStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"operator"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"send_dm"
]
},
"messageTemplate": {
"type": "string"
},
"buttons": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"quick_reply"
]
},
"title": {
"type": "string"
},
"payload": {
"type": "string"
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"payload"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"url"
]
},
"title": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"type",
"title",
"url"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"messageTemplate"
],
"additionalProperties": false
}
]
}
},
"notes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"position": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"required": [
"id",
"content",
"position"
],
"additionalProperties": false
}
},
"nodePositions": {
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"totalTriggered": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalDmsSent": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalFailed": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"connectionId",
"platform",
"category",
"name",
"description",
"enabled",
"triggers",
"steps",
"notes",
"nodePositions",
"totalTriggered",
"totalDmsSent",
"totalFailed",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}automations.update
PATCH
/v1/workspaces/{workspaceId}/automations/{platform}/{category}/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
id | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"description": {
"anyOf": [
{
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
{
"type": "null"
}
]
},
"enabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"triggers": {
"anyOf": [
{
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"trigger"
]
},
"triggerType": {
"type": "string",
"enum": [
"comment",
"mention",
"story_reply"
]
},
"targetPostIds": {
"type": "array",
"items": {
"type": "string"
}
},
"pendingPostIds": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"allOf": [
{
"pattern": "^post_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
}
},
{
"type": "null"
}
]
},
"keywordFilter": {
"anyOf": [
{
"type": "object",
"properties": {
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"operator"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"triggerType",
"targetPostIds"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
},
"steps": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"condition"
]
},
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"yesStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"noStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"operator"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"send_dm"
]
},
"messageTemplate": {
"type": "string"
},
"buttons": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"quick_reply"
]
},
"title": {
"type": "string"
},
"payload": {
"type": "string"
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"payload"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"url"
]
},
"title": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"type",
"title",
"url"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"messageTemplate"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"position": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"required": [
"id",
"content",
"position"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
},
"nodePositions": {
"anyOf": [
{
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"platform": {
"type": "string"
},
"category": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"type": "boolean"
},
"triggers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"trigger"
]
},
"triggerType": {
"type": "string",
"enum": [
"comment",
"mention",
"story_reply"
]
},
"targetPostIds": {
"type": "array",
"items": {
"type": "string"
}
},
"pendingPostIds": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string",
"allOf": [
{
"pattern": "^post_[useandom\\-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict]{12}$"
}
]
}
},
{
"type": "null"
}
]
},
"keywordFilter": {
"anyOf": [
{
"type": "object",
"properties": {
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"operator"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"triggerType",
"targetPostIds"
],
"additionalProperties": false
}
},
"steps": {
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"condition"
]
},
"operator": {
"type": "string",
"enum": [
"contains",
"not_contains",
"equals",
"starts_with",
"ends_with",
"regex",
"always",
"is_follower",
"has_email"
]
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caseSensitive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"yesStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"noStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"operator"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"send_dm"
]
},
"messageTemplate": {
"type": "string"
},
"buttons": {
"anyOf": [
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"quick_reply"
]
},
"title": {
"type": "string"
},
"payload": {
"type": "string"
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"payload"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"url"
]
},
"title": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"type",
"title",
"url"
],
"additionalProperties": false
}
]
}
},
{
"type": "null"
}
]
},
"commentReply": {
"anyOf": [
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"replies": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"enabled",
"replies"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"nextStepId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"messageTemplate"
],
"additionalProperties": false
}
]
}
},
"notes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"position": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"required": [
"id",
"content",
"position"
],
"additionalProperties": false
}
},
"nodePositions": {
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"x": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"y": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"x",
"y"
],
"additionalProperties": false
}
},
"totalTriggered": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalDmsSent": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"totalFailed": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"connectionId",
"platform",
"category",
"name",
"description",
"enabled",
"triggers",
"steps",
"notes",
"nodePositions",
"totalTriggered",
"totalDmsSent",
"totalFailed",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}automations.remove
DELETE
/v1/workspaces/{workspaceId}/automations/{platform}/{category}/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"deleted": {
"type": "boolean"
}
},
"required": [
"deleted"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}automations.runs
GET
/v1/workspaces/{workspaceId}/automations/{platform}/{category}/runsParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
limit | query | no | value |
offset | query | no | value |
automationId | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"automationId": {
"type": "string"
},
"status": {
"type": "string"
},
"input": {
"type": "object"
},
"output": {
"type": "object"
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"startedAt": {
"type": "string"
},
"completedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"automationId",
"status",
"input",
"output",
"error",
"startedAt",
"completedAt"
],
"additionalProperties": false
}
},
"total": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"offset": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"data",
"total",
"limit",
"offset"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}automations.inbox
GET
/v1/workspaces/{workspaceId}/automations/{platform}/{category}/inboxParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
category | path | yes | string |
limit | query | no | value |
offset | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"sessionId": {
"type": "string"
},
"automationId": {
"type": "string"
},
"platformUserId": {
"type": "string"
},
"platformUsername": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentStepId": {
"type": "string"
},
"status": {
"type": "string"
},
"lastActivityAt": {
"type": "string"
}
},
"required": [
"sessionId",
"automationId",
"platformUserId",
"platformUsername",
"currentStepId",
"status",
"lastActivityAt"
],
"additionalProperties": false
}
},
"total": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"offset": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"data",
"total",
"limit",
"offset"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}